'use strict';

var _assert = require('assert');

var _assert2 = _interopRequireDefault(_assert);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function bootstrap(processName, defaultDebugKey) {
  (0, _assert2.default)(typeof processName === 'string' && processName, 'processName must be a string');
  (0, _assert2.default)(!defaultDebugKey || typeof defaultDebugKey === 'string', 'defaultDebugKey must be nullable string');

  process.title = processName;
  process.on('unhandledRejection', function (reason) {
    console.error('unhandledRejection', reason);
  });
  process.on('uncaughtException', function (error) {
    console.error('uncaughtException', error && error.stack);
  });
  if (defaultDebugKey && !process.env.hasOwnProperty('DEBUG')) {
    process.env.DEBUG = defaultDebugKey + ':*';
  }
}

module.exports = bootstrap;